<template>
    <div
        v-if="data && shop"
        class="page-container"
    >
        <div
            v-if="successMessage && !smsPopupShowed"
            class="success-message"
        >
            Your funds were successfully processed, they will be available in your
            account shortly.
        </div>
        <div
            v-if="!data.isSignupFinished"
            class="progress-box"
        >
            <div class="row">
                <div class="col-md-6">
                    <div class="progress-title">
                        Your progress:
                        <span
                            :class="
                                data.isSignupFinished || getUncompletedStepsCount() === 0
                                    ? 'completed'
                                    : ''
                            "
                        >
                            {{ getCompletedStepsCount() }}/{{ data.progressSteps.length }} -
                            {{ getFirstUncompletedStepTitle() }}
                        </span>
                    </div>
                    <Steps :progress-steps="data.progressSteps" />
                </div>
                <!-- :class="data.isSignupFinished ? 'completed' : ''" -->

                <div class="col-md-6">
                    <div class="progress-bar">
                        <div
                            class="progress"
                            :style="{ width: progress + '%' }"
                        >
                            {{ progress }}% Complete
                        </div>
                    </div>
                    <div v-if="!data.isSignupFinished && getUncompletedStepsCount() > 0">
                        <div class="discount-box">
                            <div class="form-container">
                                <div class="title">
                                    Max Discount
                                </div>
                                <div class="discount-form">
                                    <div>
                                        <div class="input-container">
                                            <input
                                                v-model="discount"
                                                data-vv-as="Max Discount"
                                                type="number"
                                                name="discount"
                                                title="Max Discount"
                                                min="0"
                                                max="99"
                                            >
                                            <span>%</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div>
                                We will activate 5 email reminders, 3 SMS reminders and 5 push
                                reminders, with a max discount of {{ discount }}%.
                            </div>
                        </div>
                        <div class="text-right">
                            <button
                                :disabled="loading"
                                type="button"
                                class="blue-btn"
                                @click="finishSignup()"
                            >
                                <img
                                    v-if="loading"
                                    src="/images/setup/loading.svg"
                                    width="20"
                                    alt=""
                                >
                                <span v-else>Publish</span>
                            </button>

                            <button
                                v-if="data.isSignupFinished.length > 3"
                                type="button"
                                class="btn btn-dismiss"
                                @click="finishSignup(false)"
                            >
                                Dismiss
                            </button>
                        </div>
                    </div>
                    <div
                        v-if="data.isSignupFinished || getUncompletedStepsCount() === 0"
                        class="text-center"
                    >
                        <div class="progress-title completed">
                            <svg
                                width="40"
                                height="40"
                                viewBox="0 0 40 40"
                                fill="none"
                                class="block"
                                xmlns="http://www.w3.org/2000/svg"
                                style="margin: 10px auto;"
                            >
                                <path
                                    d="M40 20C40 23.9556 38.827 27.8224 36.6294 31.1114C34.4318 34.4004 31.3082 36.9638 27.6537 38.4776C23.9992 39.9913 19.9778 40.3874 16.0982 39.6157C12.2186 38.844 8.65492 36.9392 5.85787 34.1421C3.06082 31.3451 1.15601 27.7814 0.384303 23.9018C-0.387401 20.0222 0.00866568 16.0009 1.52242 12.3463C3.03617 8.69181 5.59962 5.56824 8.8886 3.37061C12.1776 1.17298 16.0444 0 20 0C22.6264 0 25.2272 0.517315 27.6537 1.52241C30.0802 2.5275 32.285 4.00069 34.1421 5.85786C35.9993 7.71504 37.4725 9.91982 38.4776 12.3463C39.4827 14.7728 40 17.3736 40 20Z"
                                    fill="#3FC61E"
                                />
                                <path
                                    d="M17.293 28.7072L9.29303 20.7072C9.10556 20.5197 9.00024 20.2654 9.00024 20.0002C9.00024 19.735 9.10556 19.4807 9.29303 19.2932L10.707 17.8792C10.8946 17.6917 11.1489 17.5864 11.414 17.5864C11.6792 17.5864 11.9335 17.6917 12.121 17.8792L18 23.7582L28.879 12.8792C29.0666 12.6917 29.3209 12.5864 29.586 12.5864C29.8512 12.5864 30.1055 12.6917 30.293 12.8792L31.707 14.2932C31.8945 14.4807 31.9998 14.735 31.9998 15.0002C31.9998 15.2654 31.8945 15.5197 31.707 15.7072L18.707 28.7072C18.5195 28.8947 18.2652 29 18 29C17.7349 29 17.4806 28.8947 17.293 28.7072Z"
                                    fill="white"
                                />
                            </svg>

                            Congratulations!<br>
                            Carti is now live & published.<br> We're generating sales in the
                            background 😎
                        </div>
                        <button
                            class="btn btn-default btn-close"
                            @click="closeProgressBox()"
                        >
                            Close
                        </button>
                    </div>
                </div>
                <AddReview
                    v-if="!data.review && $store.state.review.showAddReview && !isShopify"
                    ref="review"
                    source="dismiss_onbording"
                    @submit="sendReview($event, 'load')"
                />
            </div>
        </div>
        <DismissOnboard
            v-else-if="$store.state.review.showAddReview && data.isSignupFinished && !data.review && !isShopify"
            :progress="progress"
            :is-shopify="isShopify"
            :progress-steps="data.progressSteps"
            @sendReview="sendReview($event, 'load')"
        />

        <div class="row mt-4 dashboard">
            <div class="dashboard__date">
                <date-range-picker
                    v-model="dateRange"
                    opens="right"
                    class="datepicker__big"
                    @update="filterData"
                >
                    <div
                        slot="input"
                        slot-scope="picker"
                        class="date-picker"
                    >
                        {{ $formatter.dateFormat(dateRange.startDate, "DD MMMM YYYY") }} -
                        {{ $formatter.dateFormat(dateRange.endDate, "DD MMMM YYYY") }}
                        <img
                            class="date-picker-img"
                            src="/images/select-arrow-down.svg"
                        >
                    </div>
                </date-range-picker>
            </div>
            <div class="dashboard__right">
                <template v-if="balance">
                    <div class="total-revenue-container info-block__container">
                        <div class="dashboard-total-value">
                            <div class="total-revenue-text">
                                Total Revenue:
                            </div>
                            <div class="total-revenue-count">
                                {{ getCurrencySign.symbol_native
                                }}{{ $formatter.fixedNumber(data.totalSales) }}
                            </div>
                        </div>
                        <div class="info-block">
                            <div class="d-flex align-items-center">
                                <div class="info-block__text">
                                    Email sent:
                                </div>
                                <div class="info-block__count">
                                    {{ balance.emailSent }}/{{ balance.emailCount }}
                                </div>
                            </div>
                            <b-button
                                v-if="!isShopify && showEmailPlan_B"
                                class="btn info-block__btn"
                                variant="primary"
                                @click="showModalAddEmailCredits = true"
                            >
                                Add email credits
                            </b-button> 
                        </div>
                        <div
                            class="info-block"
                        >
                            <div class="d-flex align-items-center">
                                <div class="info-block__text">
                                    SMS Credits:
                                </div>
                                <div class="info-block__count">
                                    ${{ $formatter.fixedNumber(balance.smsBalance) }}
                                </div>
                            </div>
                            <b-button
                                v-if="!isShopify && showEmailPlan_B"
                                class="btn info-block__btn"
                                variant="primary"
                                @click="showModalAddSMSCredits = true"
                            >
                                Add sms credits
                            </b-button> 
                        </div>
                        <button
                            v-if="!isShopify && !showEmailPlan_B"
                            class="btn add-btn"
                            type="button"
                            @click="showModalAddSMSCredits = true"
                        >
                            <img
                                class="add-icon"
                                src="/images/noun_Plus.svg"
                            >
                            Add
                        </button>
                    </div>
                </template>
                <template v-if="isShopify">
                    <div
                        v-if="data.smsBalance === null"
                        class="total-shopify-container"
                    >
                        <div class="total-revenue-container">
                            <div class="dashboard-total-value">
                                <div class="total-revenue-text">
                                    Total Revenue:
                                </div>
                                <div class="total-revenue-count">
                                    {{ getCurrencySign.symbol_native
                                    }}{{ $formatter.fixedNumber(data.totalSales) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div
                        v-else
                        class="total-shopify-container"
                    >
                        <div class="total-revenue-container">
                            <div class="dashboard-total-value">
                                <div class="total-revenue-text">
                                    Total Revenue:
                                </div>
                                <div class="total-revenue-count">
                                    {{ getCurrencySign.symbol_native
                                    }}{{ $formatter.fixedNumber(data.totalSales) }}
                                </div>
                            </div>
                        </div>
                        <div class="total-revenue-container">
                            <div class="dashboard-total-value">
                                <div class="total-revenue-text">
                                    SMS Credits:
                                </div>
                                <div class="total-revenue-count">
                                    ${{ parseFloat(data.smsBalance).toFixed(2) }}
                                </div>
                            </div>
                        </div>
                    </div>
                </template>
                <VideoButton
                    class="dashboard__btn_video"
                    :source="'https://carti.crisp.help/en/article/cartiio-onboarding-nvqcz2/reader'"
                />
            </div>
        </div>
        <div class="row card-section">
            <div class="col-md-6 col-lg-3">
                <div class="card-container">
                    <div class="card-title-container">
                        <div class="card-title">
                            Email
                        </div>
                    </div>
                    <div class="card-body-container">
                        <div class="card-title-count">
                            <span class="currency-sign">{{
                                getCurrencySign.symbol_native
                            }}</span>{{ $formatter.fixedNumber(data.emailSales) }}
                        </div>
                        <div class="card-sales-title">
                            Sales
                        </div>
                        <div class="card-sales-count">
                            {{ data.emailSubscribers }}
                        </div>
                        <div class="card-subscribers-title">
                            Subscribers
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <div class="card-container">
                    <div class="card-title-container">
                        <div class="card-title">
                            Push
                        </div>
                    </div>
                    <div class="card-body-container">
                        <div class="card-title-count">
                            <span class="currency-sign">{{
                                getCurrencySign.symbol_native
                            }}</span>{{ $formatter.fixedNumber(data.pushSales) }}
                        </div>
                        <div class="card-sales-title">
                            Sales
                        </div>
                        <div class="card-sales-count">
                            {{ data.pushSubscribers }}
                        </div>
                        <div class="card-subscribers-title">
                            Subscribers
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <div class="card-container">
                    <div class="card-title-container">
                        <div class="card-title">
                            SMS
                        </div>
                    </div>
                    <div class="card-body-container">
                        <div class="card-title-count">
                            <span class="currency-sign">{{
                                getCurrencySign.symbol_native
                            }}</span>{{ $formatter.fixedNumber(data.smsSales) }}
                        </div>
                        <div class="card-sales-title">
                            Sales
                        </div>
                        <div class="card-sales-count">
                            {{ data.smsSubscribers }}
                        </div>
                        <div class="card-subscribers-title">
                            Subscribers
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <div class="card-container">
                    <div class="card-title-container">
                        <div class="card-title">
                            Growth Tool
                        </div>
                    </div>
                    <div class="card-body-container">
                        <div class="card-title-count">
                            <span class="currency-sign">{{
                                getCurrencySign.symbol_native
                            }}</span>{{ $formatter.fixedNumber(data.growthSales) }}
                        </div>
                        <div class="card-sales-title">
                            Sales
                        </div>
                        <div class="card-sales-count">
                            {{ data.totalGrowthSubscribers }}
                        </div>
                        <div class="card-subscribers-title">
                            Subscribers
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <Modal
            :show="showModalAddSMSCredits && !showEmailPlan_B"
            title="Add SMS Credits"
            hide-footer
            hide-header
            size="md"
            centered
            body-class="add-popup"
            @close="showModalAddSMSCredits = false"
        >
            <div class="popup-input-container">
                <div><strong>Credits to add:</strong></div>
                <b-select
                    v-model="selectedSmsPlan"
                    class="form-control custom-select"
                    style="background-color: white"
                >
                    <option
                        v-for="(menu, index) in selectSmsPlan"
                        :key="index"
                        :value="menu.value"
                    >
                        {{ menu.title }}
                    </option>
                </b-select>
            </div>
            <button
                type="button"
                class="btn blue-btn"
                @click="buySmsCredits"
            >
                Secure Buy With Wix
            </button>
        </Modal>

        <DashboardTabs>
            <Tab
                class="custom-tab"
                title="Email"
                :icon="emailIcon"
            >
                <div>
                    <EmailTab :mail="data" />
                </div>
            </Tab>
            <Tab
                class="custom-tab"
                title="Push"
                :icon="pushIcon"
            >
                <div>
                    <PushTab :push="data" />
                </div>
            </Tab>
            <Tab
                class="custom-tab"
                title="SMS"
                :icon="smsIcon"
            >
                <div>
                    <SmsTab :sms="data" />
                </div>
            </Tab>
        </DashboardTabs>

        <ReviewEventModal
            v-if="showReviewEventModal"
            :show="showReviewEventModal"
            :data="modalReviewEventData"
            @close="closeReviewEventModal()"
            @sendReview="sendReview($event, 'load')"
        />

        <AddEmailCredits
            :show="showModalAddEmailCredits"
            @close="showModalAddEmailCredits = false"
        />
        <AddSMSCredits
            :show="showModalAddSMSCredits && showEmailPlan_B"
            @close="showModalAddSMSCredits = false"
        />
    </div>
</template>

<script>
import DashboardTabs from "@/components/Home/tab-container/DashboardTabs";
import Tab from "@/components/Home/tab-container/Tab";
import EmailTab from "@/components/Home/email/EmailTab";
import SmsTab from "@/components/Home/sms/SmsTab";
import VideoButton from "@/components/header/VideoButton";
import DateRangePicker from "vue2-daterange-picker";
import "vue2-daterange-picker/dist/vue2-daterange-picker.css";
import currencies from "@/data/currencies.json";
import PushTab from "@/components/Home/push/PushTab";
// import MessengerTab from "@/components/Home/messenger/MessengerTab";
import shop from "@/mixins/shop.service";
import plan from "@/mixins/pricing/pricing.service";
// import Buttons from "@/components/elements/Buttons";
import Modal from "@/components/elements/Modal";
import { review } from "@/mixins/review";
import AddReview from '@/components/review-collector/AddReview.vue'
import DismissOnboard from '@/components/review-collector/DismissOnboard'
import Steps from '@/components/review-collector/Steps'
import AddEmailCredits from '@/components/email/AddEmailCredits'
import AddSMSCredits from '@/components/pricing/AddSMSCredits'
import abTesting from '@/mixins/ab-testing'

export default {
  name: "Dashboard",
  components: {
    VideoButton,
    SmsTab,
    PushTab,
    // MessengerTab,
    EmailTab,
    Tab,
    DashboardTabs,
    DateRangePicker,
    // Buttons,
    Modal,
    AddReview,
    DismissOnboard,
    Steps,
    AddEmailCredits,
    AddSMSCredits,
  },
  mixins: [shop, plan, review, abTesting],
  data() {
    let date = new Date();
    return {
      data: null,
      progress: 0,
      shop: null,
      successMessage: false,
      balance: null,
      selectedSmsPlan: 5,
      isShopify: false,
      showModalAddEmailCredits: false,
      showEmailPlan_B: false,
      selectSmsPlan: [
        {
          title: "$5.00",
          value: 5,
        },
        {
          title: "$10.00",
          value: 10,
        },
        {
          title: "$50.00",
          value: 50,
        },
        {
          title: "$100.00",
          value: 100,
        },
        {
          title: "$200.00",
          value: 200,
        },
        {
          title: "$500.00",
          value: 500,
        },
      ],
      showModalAddSMSCredits: false,
      discount: 30,
      smsPopupShowed: false,
      currencies: currencies,
      showSignupFinishedMessage: false,
      dateRange: {
        startDate: this.$formatter.dateFormat(
          date.setDate(date.getDate() - 30),
          "DD MMMM YYYY"
        ),
        endDate: this.$formatter.dateFormat(new Date(), "DD MMMM YYYY"),
      },
        emailIcon: `<svg height="20" class="email-svg-icon"  xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 21 16">
                            <path id="Email"
                                  d="M0,.007v16h21v-16ZM2.1,13.874V5.281l8.4,7.5,8.4-7.494v8.583ZM18.9,2.451l-8.4,7.495L2.1,2.44v-.3H18.9Z"
                                  transform="translate(-0.005 -0.007)"></path>
                        </svg>`,
        smsIcon: `<svg height="20" class="sms-svg-icon"  stroke-width="2px"
                             xmlns="http://www.w3.org/2000/svg" viewBox="0 0 18 18">
                            <path id="sms"
                                  d="M19,13.667a1.778,1.778,0,0,1-1.778,1.778H6.556L3,19V4.778A1.778,1.778,0,0,1,4.778,3H17.222A1.778,1.778,0,0,1,19,4.778Z"
                                  transform="translate(-2 -2)"></path>
                        </svg>`,
        pushIcon: `<svg height="20px" class="email-svg-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40 50">
                            <path id="Path_2" data-name="Path 2"  d="M37.5,35A2.5,2.5,0,0,1,35,32.5V20c0-8.882-5.918-13.81-12.5-14.8V2.5a2.5,2.5,0,0,0-5,0v2.7C10.919,6.185,5,11.113,5,20V32.5A2.5,2.5,0,0,1,2.5,35a2.5,2.5,0,1,0,0,5h10v2.5a7.5,7.5,0,0,0,15,0V40h10a2.5,2.5,0,1,0,0-5Zm-15,7.5a2.5,2.5,0,0,1-5,0V40h5ZM30,35H10V20c0-6.666,5-10,10-10h0c5,0,10,3.333,10,10Z" transform="translate(0 0.004)"/>
                            </svg>`,
        messengerIcon: `<svg height="20px" xmlns="http://www.w3.org/2000/svg" class="email-svg-icon" viewBox="0 0 21 20.997">
                                <path id="Messenger" class="cls-1" d="M10.4-.007C4.566-.007.008,4.344.008,9.711c0,3.054.9,5.778,4.1,7.56V20.99l3.433-1.967a10.8,10.8,0,0,0,2.949.406c5.835,0,10.521-4.351,10.521-9.719S16.236-.007,10.4-.007Zm1.113,13.033L8.781,10.233,3.519,13.095l5.77-6.022L12.02,9.865,17.282,7Z" transform="translate(-0.008 0.007)"/>
                                </svg>`,
    };
  },
  computed: {
    getCurrencySign() {
      if (!this.shop || !this.shop.payment_currency || !this.currencies)
        return {
          symbol: this.shop.payment_currency,
        };
      return this.currencies[this.shop.payment_currency];
    },
  },
  async created() {    
    this.smsPopupShowed = this.$session.get("smsPopupShowed");
    if (this.$route.query.installed) {
      this.showSignupFinishedMessage = true;
    }
    if (this.$route.query.success) {
      this.successMessage = true;
      this.$session.set("smsPopupShowed", true);
    }
    if ($cookies.get("platform") === "shopify") {
      this.isShopify = true;
    } else {
      this.getShopBalance();
    }

    

    await this.loadShop();

    this.startABTesting()
  },
  async mounted() {
    await this.filterData()

    this.showMarketingLinkModal()
  },
  methods: {
    async getShopBalance() {
      this.balance = await this.getBalance();
    },
    showMarketingLinkModal() {
      if(this.$route.query['share-review']) {

        const MODAL_DATA_MARKETING_LINK = {
          title: 'Share Your Experience',
          text: 'Help us make Carti even better. Let us know what you think.',
          source: 'marketing_link',
        }
        
        this.checkReviewEvent(MODAL_DATA_MARKETING_LINK)
      }
    },
    async buySmsCredits() {
      this.$session.remove("smsPopupShowed");
      const response = await this.smsCredits(this.selectedSmsPlan);
      window.location.replace(response);
      this.showModalAddSMSCredits = false;
    },
    async loadShop() {
      this.shop = await this.getShop();
      if ($cookies.get("platform") === "wix") {
        if (!this.shop.payment_status) {
          this.$router.push("/setup/1");
        }
      }
    },
    async filterData() {
      const response = await this.getDashboardData({
        start: this.$moment(this.dateRange.startDate).format("MM/DD/YYYY"),
        end: this.$moment(this.dateRange.endDate).format("MM/DD/YYYY"),
      });
      try {
        const { data } = response;

        const completedSteps = this.getCompletedStepsCount(data.progressSteps)
        const stepsCount = data.progressSteps.length

        if(!this.isShopify && !data.review && completedSteps == stepsCount - 1) data.isSignupFinished = true

        this.data = await data;

        this.checkReviewEvent(data.reviewEvent);
        this.$store.commit('review/setField', {
            field: 'showAddReview',
            value: data.review ? false : true
        })

        this.progress = parseInt(
          100 /
            (data.progressSteps.length / this.getCompletedStepsCount()),
          10
        );
        this.loading = false;
      } catch (error) {
        console.log(error);
      }
    },
    getCompletedStepsCount(items) {
      let count = 0;
      const progressSteps = items || this.data.progressSteps

      for (let step of progressSteps) {
        if (step.completed) {
          count++;
        }
      }

      return count;
    },
    getFirstUncompletedStepTitle() {
      for (let step of this.data.progressSteps) {
        if (!step.completed) {
          return step.title;
        }
      }

      return "Completed";
    },
    getUncompletedStepsCount() {
      let count = 0;

      for (let step of this.data.progressSteps) {
        if (!step.completed) {
          count++;
        }
      }

      return count;
    },
    finishSignup(updateDiscountValues = true) {
      this.loading = true;
      this.publishSetup({
        discount: this.discount,
        update_discount_values: updateDiscountValues,
      })
        .then((resp) => {
          if (updateDiscountValues) {
            this.animateValue(this.progress, 100, 700);
          } else {
            this.data.isSignupFinished = true;
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {
          this.loading = false;
        });
    },
    animateValue(start, end, duration) {
      if (start === end) return;
      let range = end - start;
      let current = start;
      let increment = end > start ? 1 : -1;
      let stepTime = Math.abs(Math.floor(duration / range));

      let timer = setInterval(
        function () {
          current += increment;
          this.progress = current;

          if (current === end) {
            clearInterval(timer);

            this.data.isSignupFinished = 1;

            for (let step of this.dashboard.progressSteps) {
              step.completed = true;
            }

            this.showSignupFinishedMessage = true;
          }
        }.bind(this),
        stepTime
      );
    },
    closeProgressBox() {
      this.showSignupFinishedMessage = false;
      this.finishSignup(false);
      // this.$router.push("/dashboard");
    },
  },
};
</script>

<style lang="scss" scoped>
@import "resources/css/colors";

.total-shopify-container {
  display: flex;
  justify-content: flex-end;
  @media (max-width: 770px) {
    justify-content: space-between;
    width: 100%;
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield; /* Firefox */
}

.popup-input-container {
  display: flex;
  align-items: center;
}

.form-control {
  margin-left: 5px;
  width: 90px;
  color: $blue-color;
  font-weight: 700;
  height: 30px !important;

  option {
    font-weight: 700;
  }
}

.add-btn {
  color: $blue-color;
  margin-left: 15px;
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: center;
}

.success-message {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px;
  color: white;
  border-radius: 5px;
  font-weight: bold;
  background: $green;
}

.calendar-container {
  margin-top: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  @media screen and (max-width: 950px) {
    flex-direction: column;
    align-items: baseline;
  }
}

.currency-sign {
  font-size: 24px;
}

.date-picker-img {
  margin-left: 10px;
}

.add-icon {
  margin-right: 5px;
}

.card-body-container-coming {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 160px;
}

.coming-soon-title {
  font-size: 24px;
  color: #98a0a6;
  font-weight: 600;
}

.cls-1 {
  fill: #e2e8f0;
}

.blue-btn {
  padding: 0.375rem 0.75rem;
  margin-left: 15px;
}

.header-text-container {
  padding-top: 40px;
  display: flex;
  justify-content: space-between;
  @media screen and (max-width: 1040px) {
    flex-direction: column;
  }
}

.custom-tab {
  width: 100%;

  .row {
    margin-left: 0;
    margin-right: 0;
  }
}

.my-icon {
  margin-left: 15px;
}

.calendar-btn {
  background: transparent;
  padding: 13px 20px 13px 20px;
  font-size: 14px;
  font-weight: 600;
  border: 1px solid #dee1e6;
  color: #4786ff;
  @media screen and (max-width: 950px) {
    margin-bottom: 15px;
  }
}

.tab-btn {
  width: 100%;
  padding: 15px 10px;
  border-radius: 5px;
  display: flex;
  align-items: center;
  background: transparent;
  border: 1px solid #98a0a6;
  color: #98a0a6;
  font-weight: 600;

  &:hover {
    color: #4786ff;
  }
}

.total-revenue-text {
  font-size: 14px;
  margin-right: 10px;
  font-weight: 500;
}

.card-title {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0;
  color: black;
}

.card-title-count {
  font-size: 32px;
  font-weight: 800;
}

.card-sales-title {
  margin-bottom: 10px;
  font-size: 12px;
  color: #a8b2c4;
}

.my-icon {
  margin-right: 5px;
}

.card-sales-count {
  font-size: 24px;
  font-weight: 700;
}

.card-subscribers-title {
  font-size: 12px;
  color: #a8b2c4;
}

.card-title-container {
  border-bottom: 1px solid #eeeff0;
  padding: 15px 20px;
}

.card-body-container {
  padding: 15px 20px;
  height: 160px;
}

.card-container {
  margin-top: 35px;
  background: white;
  //padding: 12px 20px;
  border-radius: 5px;
  -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
  box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
}

.total-revenue-count {
  font-size: 29px;
  color: rgb(51, 51, 51);
  font-weight: 800;
}
.dashboard {
  padding: 0 16px;
  &__date,
  &__btn_video,
  .total-revenue-container .dashboard-total-value,
  .total-revenue-container .btn {
    margin-bottom: 15px;
  }
  &__date {
    max-width: 290px;
    min-width: 290px;
  }
  &__right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
    width: calc(100% - 290px);
    @media (max-width: 770px) {
      flex-direction: column;
    }
  }
  &__btn_video {
    margin-left: 15px;
  }
}

@media (max-width: 1150px) {
  .dashboard {
    flex-direction: column;
    &__right {
      width: 100%;
    }
  }
}
@media (max-width: 770px) {
  .dashboard {
    &__date {
      max-width: 100%;
      width: 100%;
    }
    &__btn_video {
      margin-left: 0;
      width: 100%;
    }
  }
}
.total-revenue-container {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  @media (max-width: 768px) {
    max-width: calc(50% - 5px);
  }
  @media (max-width: 575px) {
    max-width: 100%;
  }
  .dashboard-total-value {
    padding: 10px;
    height: 50px;
    background: white;
    box-sizing: border-box;
    border-radius: 5px;
    margin-left: 30px;
    display: flex;
    align-items: center;
    width: fit-content;
    box-shadow: 0 5px 20px rgb(200 208 222 / 20%);
  }
  @media (max-width: 1150px) {
    width: 100%;
    justify-content: space-between;
    .dashboard-total-value {
      margin-left: 0;
    }
  }
  @media (max-width: 770px) {
    justify-content: center;
    .dashboard-total-value {
      width: 100%;
      justify-content: center;
    }
  }

  @media screen and (max-width: 950px) {
    .total-revenue-text {
      font-size: 12px;
    }
    .total-revenue-count {
      font-size: 23px;
    }
  }
}
.btn_show_video {
  min-width: 175px;
  @media (max-width: 991px) {
    margin-top: 10px;
  }
}


.progress-box .progress-bar {
  margin-bottom: 0;
}
</style>
